%global _empty_manifest_terminate_build 0
Name:		python-invoke
Version:	2.1.3
Release:	1
Summary:	Pythonic task execution
License:	BSD-2-Clause
URL:		http://docs.pyinvoke.org
Source0:	https://files.pythonhosted.org/packages/46/37/0c5e8d33773e55fc265d80d87bb0e78b353a447d6702ba72584536b9cf9d/invoke-2.1.3.tar.gz
BuildArch:	noarch

%description
Invoke is a Python (2.7 and 3.4+) library for managing shell-oriented
subprocesses and organizing executable Python code into CLI-invokable tasks. It
draws inspiration from various sources (``make``/``rake``, Fabric 1.x, etc) to
arrive at a powerful & clean feature set.
For a high level introduction, including example code, please see `our main
project website <http://pyinvoke.org>`_; or for detailed API docs, see `the
versioned API website <http://docs.pyinvoke.org>`_.

%package -n python3-invoke
Summary:	Pythonic task execution
Provides:	python-invoke = %{version}-%{release}
BuildRequires:	procps-ng
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
%description -n python3-invoke
Invoke is a Python (2.7 and 3.4+) library for managing shell-oriented
subprocesses and organizing executable Python code into CLI-invokable tasks. It
draws inspiration from various sources (``make``/``rake``, Fabric 1.x, etc) to
arrive at a powerful & clean feature set.
For a high level introduction, including example code, please see `our main
project website <http://pyinvoke.org>`_; or for detailed API docs, see `the
versioned API website <http://docs.pyinvoke.org>`_.

%package help
Summary:	Development documents and examples for invoke
Provides:	python3-invoke-doc
%description help
Invoke is a Python (2.7 and 3.4+) library for managing shell-oriented
subprocesses and organizing executable Python code into CLI-invokable tasks. It
draws inspiration from various sources (``make``/``rake``, Fabric 1.x, etc) to
arrive at a powerful & clean feature set.
For a high level introduction, including example code, please see `our main
project website <http://pyinvoke.org>`_; or for detailed API docs, see `the
versioned API website <http://docs.pyinvoke.org>`_.

%prep
%autosetup -n invoke-%{version}

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
if [ -f README.rst ]; then cp -af README.rst %{buildroot}/%{_pkgdocdir}; fi
if [ -f README.md ]; then cp -af README.md %{buildroot}/%{_pkgdocdir}; fi
if [ -f README.txt ]; then cp -af README.txt %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-invoke -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Wed Jun 21 2023 chendexi <chendexi@kylinos.cn> - 2.1.3-1
- Update package to version 2.1.3

* Mon May 08 2023 wubijie <wubijie@kylinos.cn> - 2.1.1-1
- Update package to version 2.1.1

* Sat May 06 2023 wubijie <wubijie@kylinos.cn> - 2.1.0-1
- Update package to version 2.1.0

* Thu May 04 2023 wubijie <wubijie@kylinos.cn> - 2.0.1-1
- Update package to version 2.0.1

* Fri Mar 31 2023 wubijie <wubijie@kylinos.cn> - 2.0.0-1
- Update package to version 2.0.0

* Thu Dec 15 2022 jiangxinyu <jiangxinyu@kylinos.cn> - 1.7.3-1
- Update package to version 1.7.3

* Mon Jun 20 2022 liukuo <liukuo@kylinos.cn> - 1.7.1-2
- License compliance rectification

* Thu Jun 09 2022 SimpleUpdate Robot <tc@openeuler.org> - 1.7.1-1
- Upgrade to version 1.7.1

* Wed Jan 19 2022 SimpleUpdate Robot <tc@openeuler.org> - 1.6.0-1
- Upgrade to version 1.6.0

* Mon Feb 01 2021 Python_Bot <Python_Bot@openeuler.org>
- Package Spec generated
